# Meal Type

The `mealType`object represents the source and type of a meal or food.

### Available Options&#x20;

| MealType     | Description                                  |
| ------------ | -------------------------------------------- |
| `RECIPE`     | A recipe                                     |
| `USDA_MEAL`  | A meal or food from the USDA database        |
| `MENU_ITEM`  | A restaurant menu item                       |
| `OWN_RECIPE` | A recipe or meal created by the user         |
| `OWN_ITEM`   | An individual food added/created by the user |

Use this object in the following:

* [`createMealLog`](https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/food-logs)&#x20;
* [`ownMealLogs` ](https://docs.suggestic.com/graphql/query/queries/food-log/own-items)
* [`recentMealLogs`](https://docs.suggestic.com/graphql/query/queries/food-log/recently-logged)
* [`frequentMealLogs`](https://docs.suggestic.com/graphql/query/queries/food-log/frequently-logged)  &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/food-logs/meal-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
